<?php

namespace Treewec;

/**
 * Test class for URLBuilder.
 * Generated by PHPUnit on 2012-03-25 at 16:35:23.
 * @group url
 */
class URLBuilderTest extends \PHPUnit_Framework_TestCase {

    /** @var URLBuilder */
    private $urlBuilder;

    protected function setUp() {
        $ah = new Holders\ArrayHolder(array('hello' => 'world'));
        $this->urlBuilder = new URLBuilder($ah);
    }

    public function testGetEmptyURLBuilder() {
        parent::assertInstanceOf('\Treewec\URLBuilder', URLBuilder::getEmptyURLBuilder());
    }

    public function testAddOrModifyParameter() {        
        $this->urlBuilder->addOrModifyParameter('test', '1');
        parent::assertTrue(is_int(strpos($this->urlBuilder->build(), 'test=1')));
        $this->urlBuilder->addOrModifyParameter('test', '2');
        parent::assertTrue(is_int(strpos($this->urlBuilder->build(), 'test=2')));
    }

    public function testRemoveParameter() {
        parent::assertTrue(is_int(strpos($this->urlBuilder->build(), 'hello=world')));
        $this->urlBuilder->removeParameter('hello');
        parent::assertFalse(strpos($this->urlBuilder->build(), 'hello=world'));
    }

    public function testBuild() {
        $this->urlBuilder->addOrModifyParameter('test', array());
        parent::assertFalse(strpos($this->urlBuilder->build(), 'test'));
    }

}

?>